import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';

import { Mieter } from './mieter';
import { MessageService } from './message.service';

@Injectable({
  providedIn: 'root'
})
export class MieterService {
  constructor(private messageService: MessageService, private http: HttpClient) { }
  
  getMieters(): Promise<Mieter[]> {
    this.messageService.add('MieterService: fetched mieters');
    return this.http.get<Mieter[]>(`http://172.16.3.185:5000/hv/mieters`).toPromise()
  }

  getMieter(id: number): Promise<Mieter> {
    this.messageService.add(`MieterService: fetch mieter id=${id}`);
    return this.http.get<Mieter>(`http://172.16.3.185:5000/hv/mieter/${id}`).toPromise()
  }
}
